export function isApiUrlAllowed(url) {
    let parsedUrl;
    try {
        parsedUrl = new URL(url);
    }
    catch {
        return {
            isAllowed: false,
            error: `Invalid URL format: ${url}`
        };
    }
    const ALLOWED_HOSTNAMES = [
        'wix.com',
        'dev.wix.com',
        'manage.wix.com',
        'editor.wix.com',
        'wixapis.com'
    ];
    const hostname = parsedUrl.hostname.replace('www.', '');
    const isAllowedHostname = ALLOWED_HOSTNAMES.some((domain) => hostname === domain);
    if (!isAllowedHostname) {
        return {
            isAllowed: false,
            error: `Unsupported URL domain: ${hostname}. URL must be from one of the allowed domains: ${ALLOWED_HOSTNAMES.join(', ')}`
        };
    }
    return {
        isAllowed: true
    };
}
//# sourceMappingURL=validation.js.map