import { describe, test, expect, vi } from 'vitest';
import { fetchArticleContent } from './fetch-article.js';
describe('fetchArticle()', () => {
    test('should throw an error if the URL is not from dev.wix.com', async () => {
        const mockHttpClient = {
            get: vi.fn()
        };
        await expect(fetchArticleContent(mockHttpClient, 'https://non-dev-wix.com/some-article', 'raw')).rejects.toThrowError('Unsupported URL domain: non-dev-wix.com. Article URL must be from dev.wix.com');
        expect(mockHttpClient.get).not.toHaveBeenCalled();
    });
});
//# sourceMappingURL=fetch-article.test.js.map