export var ENV;
(function (ENV) {
    ENV["DEV"] = "DEV";
    ENV["TEST"] = "TEST";
    ENV["LOCAL"] = "LOCAL";
    ENV["REMOTE"] = "REMOTE";
    ENV["PICASSO"] = "PICASSO";
})(ENV || (ENV = {}));
const DEFAULT_ENV = ENV.LOCAL;
export const DEV_ENVIRONMENTS = [ENV.DEV, ENV.TEST];
export function getEnvironment(nodeEnv) {
    const env = nodeEnv || process.env.NODE_ENV;
    switch (env?.toUpperCase()) {
        case 'DEV':
            return ENV.DEV;
        case 'TEST':
            return ENV.TEST;
        case 'LOCAL':
            return ENV.LOCAL;
        case 'REMOTE':
            return ENV.REMOTE;
        case 'PICASSO':
            return ENV.PICASSO;
        default:
            return DEFAULT_ENV;
    }
}
//# sourceMappingURL=environment.js.map