import waitForExpect from 'wait-for-expect';
const defaultOptions = {
    timeout: 10000,
    interval: 200
};
export default async function eventually(expectation, options) {
    return new Promise((resolve, reject) => {
        waitForExpect
            .default(async () => {
            const ret = await expectation();
            resolve(ret);
        }, options?.timeout ?? defaultOptions.timeout, options?.interval ?? defaultOptions.interval)
            .catch((error) => reject(error));
    });
}
//# sourceMappingURL=eventually.js.map