import type { z, ZodRawShape, ZodTypeAny } from 'zod';
import type { RequestHandlerExtra } from '@modelcontextprotocol/sdk/shared/protocol.js';
import type { CallToolResult, Implementation } from '@modelcontextprotocol/sdk/types.js';
import type { BiLogger } from '@wix/wix-bi-logger-client';
import type { PanoramaClientForComponent } from '@wix/panorama-client-node';
import { McpServer, RegisteredTool } from '@modelcontextprotocol/sdk/server/mcp.js';
import { HttpClient } from '@wix/http-client';
import { ServerOptions } from '@modelcontextprotocol/sdk/server/index.js';
type WixRequestHandlerExtra = RequestHandlerExtra<any, any> & {
    biLogger: BiLogger;
    panorama: PanoramaClientForComponent;
    httpClient: HttpClient;
};
type WixToolCallback<Args extends undefined | ZodRawShape = undefined> = Args extends ZodRawShape ? (args: z.objectOutputType<Args, ZodTypeAny>, extra: WixRequestHandlerExtra) => CallToolResult | Promise<CallToolResult> : (extra: WixRequestHandlerExtra) => CallToolResult | Promise<CallToolResult>;
export declare class WixMcpServer extends McpServer {
    private serverInfo;
    private biLogger;
    private nodeEnv;
    private sessionId;
    private getUserId?;
    private getClientName?;
    constructor(serverInfo: Implementation, options?: ServerOptions, nodeEnv?: string);
    setUserIdGetter(getUserId: () => string): void;
    setClientNameGetter(getClientName: () => string | undefined): void;
    tool(name: string, cb: WixToolCallback): RegisteredTool;
    tool(name: string, description: string, cb: WixToolCallback): RegisteredTool;
    tool<Args extends ZodRawShape>(name: string, paramsSchema: Args, cb: WixToolCallback<Args>): void;
    tool<Args extends ZodRawShape>(name: string, description: string, paramsSchema: Args, cb: WixToolCallback<Args>): void;
}
export {};
//# sourceMappingURL=wix-mcp-server.d.ts.map